function [M,eps_G,curv,LAST_CLS,LAST_STEEL] = fixed_strain_NEW (N,fixed_eps,d_fixed_eps,tollN,GEOM,CLS,STEEL,section_type)


%INPUT -
%OUTPUT -


toll=max(tollN*10^3.,abs(tollN*N));


switch section_type
    case 'rectangular'
        H=GEOM.H;
    case 'circular'
        H=GEOM.D;
end


eps_G=0.0;

alt=1;  % 0:metodo pulito, 1:metodo robusto

curv=(eps_G-fixed_eps)/(d_fixed_eps-H/2);

[eps_G,Msez,Nsez,LAST_CLS,LAST_STEEL] = trasl_eps_G_NEW (curv,eps_G,N,tollN,GEOM,CLS,STEEL,section_type);

num_it=0;
while ( abs( eps_G+curv*(-(d_fixed_eps-H/2)) - fixed_eps ) > abs( fixed_eps/1000 ) && alt~=1)

    curv=(eps_G-fixed_eps)/(d_fixed_eps-H/2);

    [eps_G,Msez,Nsez,LAST_CLS,LAST_STEEL] = trasl_eps_G_NEW (curv,eps_G,N,tollN,GEOM,CLS,STEEL,section_type);

    num_it=num_it+1;
    if num_it>=100
        alt=1;
    end
end



if alt==0

    M=Msez;

else
    %   modo alternativo di calcolare M:

    curv=(eps_G-fixed_eps)/(d_fixed_eps-H/2);

    [Msez,Nsez,LAST_CLS,LAST_STEEL] = MN_NEW (eps_G,curv,GEOM,CLS,STEEL,section_type);

    scarto=Nsez-N;

    incr_eps_G=abs(eps_G)*0.01;
    if incr_eps_G<1/10^4.
        incr_eps_G=1/10.^4.;
    end

    if scarto<0
        incr_eps_G=incr_eps_G;
    else
        incr_eps_G=-incr_eps_G;
    end

    while abs(scarto)>toll

        eps_G=eps_G+incr_eps_G;
        curv=(eps_G-fixed_eps)/(d_fixed_eps-H/2);

        [Msez,Nsez,LAST_CLS,LAST_STEEL] = MN_NEW (eps_G,curv,GEOM,CLS,STEEL,section_type);

        last_scarto=scarto;
        scarto=Nsez-N;

        if (last_scarto*scarto<0)
            incr_eps_G=-0.5*incr_eps_G;
        elseif (abs(scarto)>abs(last_scarto))
            incr_eps_G=-1.5*incr_eps_G;
        else
            incr_eps_G=incr_eps_G;
        end

    end

    M=Msez;

end